## golang-step-crypto 0.8.0

=== Makefile ===
# Set V to 1 for verbose output from the Makefile
Q=$(if $V,,@)

all: lint test

.PHONY: all

#########################################
# Bootstrapping
#########################################

bootstrap:
	$Q GO111MODULE=on go get github.com/golangci/golangci-lint/cmd/golangci-lint@v1.33.0

.PHONY: bootstrap

#########################################
# Test
#########################################

test:
	$Q $(GOFLAGS) go test -coverprofile=coverage.out ./...

race:
	$Q $(GOFLAGS) go test -race ./...

.PHONY: test race

#########################################
# Linting
#########################################

fmt:
	$Q gofmt -l -w $(SRC)

lint:
	$Q LOG_LEVEL=error golangci-lint run --timeout=30m

.PHONY: lint fmt

=== debian/changelog ===
golang-step-crypto (0.8.0-2) unstable; urgency=medium

  * Team Upload.
  * Move to unstable post release.
  * Add patches to fix tests
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 16 Feb 2022 00:56:58 +0530

golang-step-crypto (0.8.0-1) experimental; urgency=medium

  * Initial release (Closes: #991038)

 -- Peymaneh Nejad <p.nejad@posteo.de>  Tue, 13 Jul 2021 18:47:11 +0200

=== debian/control ===
Source: golang-step-crypto
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Peymaneh Nejad <p.nejad@posteo.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-pkg-errors-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-gopkg-square-go-jose.v2-dev,
               golang-github-masterminds-sprig-dev,
               golang-github-smallstep-assert-dev <!nocheck>,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-step-crypto
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-step-crypto.git
Homepage: https://github.com/smallstep/crypto
Rules-Requires-Root: no
XS-Go-Import-Path: go.step.sm/crypto

Package: golang-step-crypto-dev
Architecture: all
Depends: golang-github-pkg-errors-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-net-dev,
         golang-gopkg-square-go-jose.v2-dev,
         golang-github-masterminds-sprig-dev,
         ${misc:Depends}
Description: common code between step-cli and step-ca (go libraries)
 This package provides a collection of go packages used in smallstep
 (https://smallstep.com) products:
 .
  - x509util implements utilities to build X.509 certificates based on JSON
    templates.
  - sshutil implements utilities to build SSH certificates based on JSON
    templates.
  - keyutil implements utilities to generate cryptographic keys.
  - pemutil implements utilities to parse keys and certificates and includes a
    method to serialize keys, X.509 certificates and certific
  - randutil provides methods to generate random strings and salts.
  - tlsutil provides utilities to configure tls clients and servers.
  - jose is a wrapper for gopkg.in/square/go-jose.v2 and implements utilities
    to parse and generate JWT, JWK and JWKSets.
 .
 Documentation: https://pkg.go.dev/mod/go.step.sm/crypto

## golang-step-crypto 0.17.3

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,19 @@
 # Set V to 1 for verbose output from the Makefile
 Q=$(if $V,,@)
+SRC=$(shell find . -type f -name '*.go' -not -path "./vendor/*")
 
 all: lint test
 
-.PHONY: all
+ci: test
+
+.PHONY: all ci
 
 #########################################
 # Bootstrapping
 #########################################
 
 bootstrap:
-	$Q GO111MODULE=on go get github.com/golangci/golangci-lint/cmd/golangci-lint@v1.33.0
+	$Q go install github.com/golangci/golangci-lint/cmd/golangci-lint@latest
 
 .PHONY: bootstrap
 
@@ -31,10 +34,18 @@
 #########################################
 
 fmt:
-	$Q gofmt -l -w $(SRC)
+	$Q gofmt -s -l -w $(SRC)
 
 lint:
 	$Q LOG_LEVEL=error golangci-lint run --timeout=30m
 
 .PHONY: lint fmt
 
+#########################################
+# Go generate
+#########################################
+
+generate:
+	$Q go generate ./...
+
+.PHONY: generate

=== debian/changelog ===
golang-step-crypto (0.17.3-2) unstable; urgency=medium

  * Source only upload (0.17.3-1 accidentally included amd changes)

 -- Peymaneh <peymaneh@posteo.net>  Mon, 12 Dec 2022 22:56:05 +0100

golang-step-crypto (0.17.3-1) unstable; urgency=medium

  * New upstream version 0.17.3
  * d/copyright: Update year
  * d/rules: Drop kms package
  * d/patches: Drop obsolete patches
  * d/patches: No forwarding needed
  * d/control: Fix dependencies

 -- Peymaneh <peymaneh@posteo.net>  Thu, 24 Nov 2022 14:05:36 +0100

golang-step-crypto (0.8.0-3) unstable; urgency=medium

  * Updating maintainer info
  * Bump standards version
  * Fix lintian overrides

 -- Peymaneh <peymaneh@posteo.net>  Sun, 20 Nov 2022 16:35:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: golang-step-crypto
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Peymaneh Nejad <p.nejad@posteo.de>
+Uploaders: Peymaneh <peymaneh@posteo.net>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
+               golang-filippo-edwards25519-dev,
                golang-github-pkg-errors-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-gopkg-square-go-jose.v2-dev,
                golang-github-masterminds-sprig-dev,
                golang-github-smallstep-assert-dev <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-step-crypto
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-step-crypto.git
 Homepage: https://github.com/smallstep/crypto
@@ -22,7 +23,8 @@
 
 Package: golang-step-crypto-dev
 Architecture: all
-Depends: golang-github-pkg-errors-dev,
+Depends: golang-filippo-edwards25519-dev,
+         golang-github-pkg-errors-dev,
          golang-golang-x-crypto-dev,
          golang-golang-x-net-dev,
          golang-gopkg-square-go-jose.v2-dev,

## golang-step-crypto 0.24.0

=== Makefile ===
# Set V to 1 for verbose output from the Makefile
Q=$(if $V,,@)
SRC=$(shell find . -type f -name '*.go')

all: lint test

ci: test

.PHONY: all ci

#########################################
# Bootstrapping
#########################################

bootstra%:
	$Q curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $$(go env GOPATH)/bin latest
	$Q go install golang.org/x/vuln/cmd/govulncheck@latest
	$Q go install gotest.tools/gotestsum@latest

.PHONY: bootstrap

#########################################
# Test
#########################################

test:
	$Q $(GOFLAGS) gotestsum -- -coverprofile=coverage.out -short -covermode=atomic ./...

race:
	$Q $(GOFLAGS) gotestsum -- -race ./...

.PHONY: test race

#########################################
# Linting
#########################################

fmt:
	$Q goimports -l -w $(SRC)

lint: SHELL:=/bin/bash
lint:
	$Q LOG_LEVEL=error golangci-lint run --config <(curl -s https://raw.githubusercontent.com/smallstep/workflows/master/.golangci.yml) --timeout=30m
	$Q govulncheck ./...

.PHONY: fmt lint

#########################################
# Go generate
#########################################

generate:
	$Q go generate ./...

.PHONY: generate

=== debian/changelog ===
golang-step-crypto (0.24.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.24.0
  * Add golang-github-stretchr-testify-dev to Build-Depends
  * Update Standards-Version to 4.6.2 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 07 Feb 2023 15:35:01 +0800

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := kms

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-go.step-crypto-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/smallstep/crypto/tags .*/v?(\d\S*)\.tar\.gz debian
